ToggleVoucherFeature

Toggles a voucher feature on or off

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
customerReferenceString1-20 characters✓Customer reference linked with this card
trackingNumberString1-20 characters✓The tracking number of the card
featureNameString✓The name of the feature to disable.; Possible values: CREDIT_APPLICATION_ENABLED DAILY_PINLESS_NFC_DISABLED ENABLE_INTERNATIONAL OPT_IN_VAU OPT_OUT_ABU OPT_OUT_VAU PHYSICAL_CARD_DISABLED
featureStatusBoolean✓The status of the feature. Possible values 1 or 0. To enable the feature this should be 1, to disable it this field should be 0.
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString1-255 characters✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<methodCall>
  <methodName>ToggleVoucherFeature</methodName>
  <params>
    <param>
      <value>
        <string>123456789</string>
      </value>
    </param>
    <param>
      <value>
        <string>Demo Ref</string>
      </value>
    </param>
    <param>
      <value>
        <string>123456789</string>
      </value>
    </param>
    <param>
      <value>
        <string>13245678</string>
      </value>
    </param>
    <param>
      <value>
        <boolean>1</boolean>
      </value>
    </param>
    <param>
      <value>
        <string>2321345</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20191007T00:00:00</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>B2D78C6F5710AC56E8899A23E4FE6D20975576B5</string>
      </value>
    </param>
  </params>
</methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringStatus text indicating transaction result
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>OK</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>